org.eclipse.cdt.core.dom.ast.gnu

## Interface IGNUASTUnaryExpression

All Superinterfaces:
  IASTExpression, IASTInitializerClause, IASTNode, IASTUnaryExpression

Deprecated.
Replaced by `IASTUnaryExpression`.

    @Deprecated
    public interface IGNUASTUnaryExpression
    extends IASTUnaryExpression

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTUnaryExpression

`op_alignOf, op_amper, op_bracketedPrimary, op_labelReference, op_minus, op_noexcept, op_not, op_plus, op_postFixDecr, op_postFixIncr, op_prefixDecr, op_prefixIncr, op_sizeof, op_sizeofParameterPack, op_star, op_throw, op_tilde, op_typeid, op_typeof, OPERAND`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IGNUASTUnaryExpression` `copy()` Deprecated. Returns a mutable copy of the tree rooted at this node.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTUnaryExpression

`copy, getOperand, getOperator, setOperand, setOperator`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### copy

    IGNUASTUnaryExpression copy()

Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTUnaryExpression`
Since:
  5.1